summaryrefslogtreecommitdiff
path: root/util
diff options
context:
space:
mode:
authorLoic Blot <loic.blot@unix-experience.fr>2017-04-06 09:10:59 +0200
committerLoic Blot <loic.blot@unix-experience.fr>2017-04-06 09:10:59 +0200
commit4b15f76ed163b1e0b95b50017bd39e73400601b4 (patch)
treefa2cd0943bea8c05773f3c4135f5631c3eea6e54 /util
parent503e1d2b7c800a76a161541d90b799e9786adbd9 (diff)
downloadminetest-4b15f76ed163b1e0b95b50017bd39e73400601b4.tar.gz
minetest-4b15f76ed163b1e0b95b50017bd39e73400601b4.tar.bz2
minetest-4b15f76ed163b1e0b95b50017bd39e73400601b4.zip
Move LINT process in dedicated shell & fix
Move lint to dedicated shell permit to use it from your shell easily to check what is wrong Also fix recent regressions in code style
Diffstat (limited to 'util')
-rw-r--r--util/travis/lint.sh46
-rwxr-xr-xutil/travis/script.sh46
2 files changed, 47 insertions, 45 deletions
diff --git a/util/travis/lint.sh b/util/travis/lint.sh
new file mode 100644
index 000000000..96026b247
--- /dev/null
+++ b/util/travis/lint.sh
@@ -0,0 +1,46 @@
+#! /bin/bash
+function perform_lint() {
+ echo "Performing LINT..."
+ CLANG_FORMAT=clang-format
+ CLANG_FORMAT_WHITELIST="util/travis/clang-format-whitelist.txt"
+
+ if [ "$TRAVIS_EVENT_TYPE" = "pull_request" ]; then
+ # Get list of every file modified in this pull request
+ files_to_lint="$(git diff --name-only --diff-filter=ACMRTUXB $TRAVIS_COMMIT_RANGE | grep '^src/[^.]*[.]\(cpp\|h\)$' | true)"
+ else
+ # Check everything for branch pushes
+ files_to_lint="$(find src/ -name '*.cpp' -or -name '*.h')"
+ fi
+
+ local errorcount=0
+ local fail=0
+ for f in ${files_to_lint}; do
+ d=$(diff -u "$f" <(${CLANG_FORMAT} "$f") || true)
+
+ if ! [ -z "$d" ]; then
+ whitelisted=$(egrep -c "^${f}" "${CLANG_FORMAT_WHITELIST}")
+
+ # If file is not whitelisted, mark a failure
+ if [ ${whitelisted} -eq 0 ]; then
+ errorcount=$((errorcount+1))
+
+ printf "The file %s is not compliant with the coding style" "$f"
+ if [ ${errorcount} -gt 50 ]; then
+ printf "\nToo many errors encountered previously, this diff is hidden.\n"
+ else
+ printf ":\n%s\n" "$d"
+ fi
+
+ fail=1
+ fi
+ fi
+ done
+
+ if [ "$fail" = 1 ]; then
+ echo "LINT reports failure."
+ exit 1
+ fi
+
+ echo "LINT OK"
+}
+
diff --git a/util/travis/script.sh b/util/travis/script.sh
index 44057352d..14b8dfb73 100755
--- a/util/travis/script.sh
+++ b/util/travis/script.sh
@@ -1,53 +1,9 @@
#!/bin/bash -e
. util/travis/common.sh
+. util/travis/lint.sh
needs_compile || exit 0
-function perform_lint() {
- echo "Performing LINT..."
- CLANG_FORMAT=clang-format-3.9
- CLANG_FORMAT_WHITELIST="util/travis/clang-format-whitelist.txt"
-
- if [ "$TRAVIS_EVENT_TYPE" = "pull_request" ]; then
- # Get list of every file modified in this pull request
- files_to_lint="$(git diff --name-only --diff-filter=ACMRTUXB $TRAVIS_COMMIT_RANGE | grep '^src/[^.]*[.]\(cpp\|h\)$' | true)"
- else
- # Check everything for branch pushes
- files_to_lint="$(find src/ -name '*.cpp' -or -name '*.h')"
- fi
-
- local errorcount=0
- local fail=0
- for f in ${files_to_lint}; do
- d=$(diff -u "$f" <(${CLANG_FORMAT} "$f") || true)
-
- if ! [ -z "$d" ]; then
- whitelisted=$(egrep -c "^${f}" "${CLANG_FORMAT_WHITELIST}")
-
- # If file is not whitelisted, mark a failure
- if [ ${whitelisted} -eq 0 ]; then
- errorcount=$((errorcount+1))
-
- printf "The file %s is not compliant with the coding style" "$f"
- if [ ${errorcount} -gt 50 ]; then
- printf "\nToo many errors encountered previously, this diff is hidden.\n"
- else
- printf ":\n%s\n" "$d"
- fi
-
- fail=1
- fi
- fi
- done
-
- if [ "$fail" = 1 ]; then
- echo "LINT reports failure."
- exit 1
- fi
-
- echo "LINT OK"
-}
-
if [[ "$LINT" == "1" ]]; then
# Lint with exit CI
perform_lint